import request from '@/utils/request'

// 查询成员管理列表
export function listPerson(query) {
  return request({
    url: '/health/person/list',
    method: 'get',
    params: query
  })
}

// 查询成员管理详细
export function getPerson(id) {
  return request({
    url: '/health/person/' + id,
    method: 'get'
  })
}

// 新增成员管理
export function addPerson(data) {
  return request({
    url: '/health/person',
    method: 'post',
    data
  })
}

// 修改成员管理
export function updatePerson(data) {
  return request({
    url: '/health/person',
    method: 'put',
    data
  })
}

// 删除成员管理
export function delPerson(id) {
  return request({
    url: '/health/person/' + id,
    method: 'delete'
  })
}
